package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ResourceCurrentDataPO;
import mhp.oee.po.gen.ResourceCurrentDataPOExample;
import org.apache.ibatis.annotations.Param;

public interface ResourceCurrentDataPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int countByExample(ResourceCurrentDataPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceCurrentDataPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int insert(ResourceCurrentDataPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int insertSelective(ResourceCurrentDataPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    List<ResourceCurrentDataPO> selectByExample(ResourceCurrentDataPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    ResourceCurrentDataPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceCurrentDataPO record, @Param("example") ResourceCurrentDataPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceCurrentDataPO record, @Param("example") ResourceCurrentDataPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceCurrentDataPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_current_data
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceCurrentDataPO record);
}